%define gitver %(echo %version | tr \~ -)
Name:          qucs
Version:       0.0.20~rc2
Release:       1mamba
Summary:       Integrated circuit simulator
Group:         Graphical Desktop/Applications/Scientific
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://qucs.sourceforge.net/
Source0:       https://github.com/Qucs/qucs.git/qucs-%{gitver}/%{name}-%{version}.tar.bz2
Patch0:        qucs-0.0.20~rc2-gcc-13.2.0.patch
Patch1:        qucs-0.0.20~rc2-fix-desktop-file.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libgcc
BuildRequires: libqt4-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: adms
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Qucs is an integrated circuit simulator which means you are able to setup a circuit with a graphical user interface (GUI) and simulate the large-signal, small-signal and noise behaviour of the circuit.
After that simulation has finished you can view the simulation results on a presentation page or window Qucs, briefly for Qt Universal Circuit Simulator, is a circuit simulator with graphical user interface.
The software aims to support all kinds of circuit simulation types, e.g. DC, AC, S-parameter, Harmonic Balance analysis, noise analysis, etc.
Qucsator, the simulation backend, is a command line circuit simulator. 
It takes a network list in a certain format as input and outputs a Qucs dataset. 
It has been programmed for usage in the Qucs project but may also be used by other applications. 

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q
%patch 0 -p1 -b .gcc-13.2.0
%patch 1 -p1 -b .fix-desktop-file

./bootstrap

%build
%configure \
 --disable-doc

%make

%install
[ "%{buildroot}" != / ]  && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ]  && rm -rf "%{buildroot}"

%files 
%defattr(-,root,root,-)
%{_bindir}/ps2sp
%{_bindir}/qucs*
%dir %{_datadir}/qucs/
%{_datadir}/qucs/*
%dir %{_datadir}/qucsator
%dir %{_datadir}/qucsator/verilog
%{_datadir}/qucsator/verilog/*
%{_datadir}/applications/qucs.desktop
%{_datadir}/icons/hicolor/*/apps/qucs.png
%{_datadir}/icons/hicolor/scalable/apps/qucs.svg
%{_mandir}/man1/*.1*

%files -n lib%{name}
%defattr(-,root,root,-)
%{_libdir}/libqucsator.so.*

%files -n lib%{name}-devel
%defattr(-,root,root,-)
%dir %{_includedir}/qucsator
%{_includedir}/qucsator/*
%{_libdir}/libqucsator.so

%changelog
* Sun Mar 03 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0.20~rc2-1mamba
- update to 0.0.20~rc2

* Sun May 25 2014 Automatic Build System <autodist@mambasoft.it> 0.0.18.140410-1mamba
- automatic update by autodist

* Sun Dec 01 2013 Automatic Build System <autodist@mambasoft.it> 0.0.18.131128-1mamba
- automatic update by autodist

* Sat Jul 20 2013 Automatic Build System <autodist@mambasoft.it> 0.0.18.130705-1mamba
- automatic update by autodist

* Tue Jun 11 2013 Automatic Build System <autodist@mambasoft.it> 0.0.17.130610-1mamba
- automatic version update by autodist

* Mon May 27 2013 Automatic Build System <autodist@mambasoft.it> 0.0.17.130527-1mamba
- automatic version update by autodist

* Mon Oct 15 2012 Automatic Build System <autodist@mambasoft.it> 0.0.16-1mamba
- automatic version update by autodist

* Thu Jul 09 2009 Automatic Build System <autodist@mambasoft.it> 0.0.15-1mamba
- automatic update by autodist

* Thu Jun 19 2008 Tiziana Ferro <tiziana.ferro@email.it> 0.0.14-1mamba
- update to 0.0.14
- update system menu entry
- update buildrequirements

* Thu Mar 22 2007 Tiziano Pratellesi <tiziano.pratellesi@openmamba.org> 0.0.11-1qilnx
- update to 0.0.11

* Wed Jun 14 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 0.0.9-1qilnx
- update to version 0.0.9 by autospec

* Thu May 26 2005  Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 0.0.6-1qilnx
- new version

* Wed May 18 2005  Matteo Bernasconi <voyagernm@virgilio.it> 0.0.5-1qilnx
- first build
